Subject: Re: bug#15527: Failing test spencer1-locale for grep 2.14 on Solaris

From: Dagobert Michelsen <[email-masked]>
Date: Wed, 16 Oct 2013 15:49:58 +0200

Hi Jim,

Am 16.10.2013 um 06:48 schrieb Jim Meyering <[email-masked]>:

> close 15527
> thanks
> 
> Thanks, Dagobert.
> I have reproduced the problem with stock grep-2.14.  On this system:
>  SunOS unstable10s 5.10 Generic_147440-27 sun4v sparc
> SUNW,SPARC-Enterprise-T5220,
> this command prints nothing and exits with status 1:
> 
>  printf 'a\002c\n' | LC_COLLATE=ru_RU.KOI8-R ./grep -E "$(printf
> 'a[\001-\003]?c')"
> 
> Why? Debugging showed that deep in the guts of lib/regcomp.c, we would
> call wcscoll and determine that while \001 and \003 are part of the
> range in question, \002 is not.  But only when using the collating
> sequence of that particular locale.

Cool, thanks for digging this out! Can you please tell me which
invocation of wcscoll fails? I would then open a call at Oracle
about the issue.

> I confirmed that we can work around the problem by telling configure
> to use gnulib's replacement wcscoll function (by pretending it is
> absent), like this:
> 
>  ac_cv_func_wcscoll=no ./configure
> 
> With that, all tests passed.

Ok, I have now made packages for grep 2.14 with this addition
and it should be fully functional I would think.

Best regards

  -- Dago

-- 
"You don't become great by trying to be great, you become great by wanting to do something,
and then doing it so hard that you become great in the process." - xkcd #896